Cowdidocs

Set Avatar

Set the user's avatar customisation, or clear it by sending a null `options`. The value is the opaque query string the client appends to its avatar style URL.

PUT
/v1/user/avatar

Request Body

application/json

Request to set the user's avatar customisation. Send null to clear it.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/user/avatar" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "b50e8400-e29b-41d4-a716-446655440000",  "resource_id": "usr_5n1t201rmv87aae5j4csam8000",  "first_name": "John",  "last_name": "Doe",  "status": "ACTIVE",  "email": "john.doe@example.com",  "email_verified": true,  "phone_number": "+254712345678",  "tag": "@johnd1234",  "locale": "en-KE",  "timezone": "Africa/Nairobi",  "last_login_at": "2026-02-03T10:15:30Z",  "avatar_options": "seed=k3f9x2&skinColor=edb98a"}
{  "code": "BAD_REQUEST",  "description": "Bad Request"}
{  "code": "UNAUTHORISED",  "description": "Unauthorised"}
{  "code": "WAITING_LIST",  "description": "User is in the waiting list"}
{  "code": "TOO_MANY_REQUESTS",  "description": "Too Many Requests"}
{  "code": "INTERNAL_SERVER_ERROR",  "description": "Internal Server Error"}